#!/bin/bash

cd /opt/opengnsys/ogCore/repo/

if [ -f /opt/opengnsys/ogCore/installer/.deployed ]; then
    echo "ogCore ya instalado"
    exit 0
fi

docker compose -f docker-compose-deploy.yml exec php composer install
docker compose -f docker-compose-deploy.yml exec php php bin/console lexik:jwt:generate-keypair --overwrite
docker compose -f docker-compose-deploy.yml exec php php bin/console doctrine:migrations:migrate --no-interaction
docker compose -f docker-compose-deploy.yml exec php php bin/console doctrine:fixtures:load --no-interaction


adminuser=$(jq -r '.username' /opt/opengnsys/ogCore/installer/config.json)
adminpass=$(jq -r '.password' /opt/opengnsys/ogCore/installer/config.json)

# Provision user admin
curl -k -X 'POST' \
  'https://localhost:8443/auth/login' \
  -H 'accept: application/json' \
  -H 'Content-Type: application/json' \
  -d "{
  \"username\": \"$adminuser\",
  \"password\": \"$adminpass\"
}"

touch /opt/opengnsys/ogCore/installer/.deployed
